Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.flat.train
Interface TrainFlatNetwork

All Known Implementing Classes:
  TrainFlatNetworkBackPropagation, TrainFlatNetworkManhattan, TrainFlatNetworkProp, TrainFlatNetworkQPROP, TrainFlatNetworkResilient, TrainFlatNetworkSCG

    public interface TrainFlatNetwork

Common interface for training a flat neural network.

Method Summary
`void` | `finishTraining()` Training is to stop, free any resources.
`double` | `getError()`
`int` | `getIteration()`
`FlatNetwork` | `getNetwork()`
`int` | `getNumThreads()`
`MLDataSet` | `getTraining()`
`void` | `iteration()` Perform one training iteration.
`void` | `iteration(int count)` Perform one training iteration.
`void` | `setIteration(int iteration)` Set the iteration.
`void` | `setNumThreads(int numThreads)` Set the number of threads to use.

Method Detail

### getError

    double getError()

  Returns:
    The error from the neural network.

### getNetwork

    FlatNetwork getNetwork()

  Returns:
    The trained neural network.

### getTraining

    MLDataSet getTraining()

  Returns:
    The data we are training with.

### iteration

    void iteration()

  Perform one training iteration.

### iteration

    void iteration(int count)

  Perform one training iteration.

  Parameters:
    `count` - The number of iterations.

### setNumThreads

    void setNumThreads(int numThreads)

  Set the number of threads to use.

  Parameters:
    `numThreads` - The number of threads to use.

### getNumThreads

    int getNumThreads()

  Returns:
    The number of threads.

### finishTraining

    void finishTraining()

  Training is to stop, free any resources.

### getIteration

    int getIteration()

  Returns:
    The current iteration.

### setIteration

    void setIteration(int iteration)

  Set the iteration.

  Parameters:
    `iteration` - The iteration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.